import { ElementRef } from '@angular/core';
import { BaseInputDatePickerDirective } from "../base-input-date-picker/base-input-date-picker.directive";
export declare class InputDateRangePickerComponent extends BaseInputDatePickerDirective {
    firstDateAsString: any;
    secondDateAsString: any;
    private readonly EARLIEST_DATE;
    private readonly LATEST_DATE;
    private _doubleCalendarComponentRef;
    firstDayOfWeek: string;
    firstInput: ElementRef;
    secondInput: ElementRef;
    showClass(): boolean;
    handleFirstInputClick(event: Event): void;
    handleSecondInputClick(event: Event): void;
    handleDatesSelected(dates: Date[]): void;
    handleSecondDateSelected(): void;
    clearDate(index: number): void;
    toggleCalendar(): void;
    handleFirstDateChanged(value: string): void;
    handleSecondDateChanged(value: string): void;
    finalizeDates(): void;
    finalize(): void;
    private isValidDateString;
    protected modelSet(): void;
    private setModelAsString;
    private formatDate;
}
